"Can't find shared library 'libc.so.3.0'"

"Can't find shared library 'libc.so.3.0'"

Post by Michael Curr » Tue, 19 Mar 1996 04:00:00



This problem cropped up out of the blue, and a back-up and
re-install did not fix it.

I have (had) a working-perfectly 2.1.0R installation of
FreeBSD, with which I was greatly pleased.  Apache, uemacs.
bash, etc. (even "unknown" Netscape).  In my usual fashion, I
began playing around with configurations, fouled some things up
pretty good, and what-the-heck, nothing crucial is running, so
I just went ahead and reinstalled.

Apache, popper, popclient, and uemacs now claim that
libc.so.3.0 cannot be found.  This does not seem surprising,
since libc.so.2.2.0 is the version in residence, and has been
all along.

Is there a libc.so.3.0? That would seem to be the easiest way
to fix things, even assuming that the error should not be
happening in the first place.  ldconfig seems to be doing its
job.

I have no idea.  Whatsoever.  And really, I'm not as stupid as
this sounds.

 
 
 

1. Help: "tcsh: can't load library 'libc.so.5'" ??

Hi all, Anyone have any ideas about where this comes from?
Whenever I telnet in to my machine or su to another user, I get
this abrupt message and then the shell dies.

I get it after entering username & password. Anyone have a thought
about this? What might be causing it?

/lib/libc.so.5 is a valid link to /lib//libc.so.5.3.12
I ran ldconfig and ldconfig -v.
binutils 2.6.0.14
kernel 2.0.0

Thanks,
Zo
--
ack

2. changing transceiver on 3Com 3C590 PCI 10MBps board

3. "Can't find libc.so.4" FIXED (here's how...)

4. help me get my PPP connection working please!!!

5. RealAudio: Can't find shared library "libc.so.2.2"

6. Scanner card

7. Help: ppp Can't find shared library "libdes.so.3.0"

8. ATAPI/Mitsumi CD-ROM 4x Problem...

9. "can't find library 'libX11.so.6'"

10. ??? about "can't find library 'libX11.so.6'"

11. ``Output file requires shared library `libc.so.4' ''

12. Help: Error "can't load library libc.so.5"

13. what does 'ld: Output file requires shared library `libc.so.4'' mean?